﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Samples.Master" AutoEventWireup="true" CodeBehind="pdf-html-element.aspx.cs" Inherits="SelectPdf.Samples.pdf_html_element" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
    <title>Select.Pdf for .NET - Pdf Html Element</title>
    <meta name="description" content="Select.Pdf Pdf Html Element Sample for C#. Pdf Library for .NET with full sample code in C# and VB.NET." itemprop="description">
    <meta name="keywords" content="pdf html element, pdf library, sample code, html to pdf, pdf converter" itemprop="keywords">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="mainContent" runat="server">
        <article class="post type-post status-publish format-standard hentry">
            <header class="entry-header">
                <h1 class="entry-title">Select.Pdf for .NET - Pdf Html Element</h1>
            </header>
            <!-- .entry-header -->

            <div class="entry-content">
                <p>
                    HTML content can be added to a pdf document in several ways. If a complex document is created that will contain several types of pdf elements and 
                    the html content that will be added is only a small part of the total content, <i>PdfHtmlElement</i> objects can be used to convert web pages or raw html content and 
                    add the conversion result to the pdf document. 
                    <br /><br />
                    If the pdf is generated mostly as a result of an html to pdf conversion, the <i>HtmlToPdf</i> object should be used instead. 
                    This is described in details in the "Html to Pdf Converter" section of our samples that starts <a href="html-to-pdf-converter.aspx">here</a>. 
                    <br /><br />
                    The following sample shows how to use a <i>PdfHtmlElement</i> object to convert a web page to pdf using Select.Pdf Library for .NET.
                </p>
                <p>
                    Url:<br />
                    <asp:TextBox ID="TxtUrl" runat="server" Width="90%" Text="http://selectpdf.com"></asp:TextBox>
                    <br />
                    <br />
                    <asp:Button ID="BtnCreatePdf" runat="server" Text="Create PDF" OnClick="BtnCreatePdf_Click" CssClass="mybutton" />
                </p>
            </div>
            <!-- .entry-content -->
        </article>
        <!-- #post -->
</asp:Content>
